Loading...
Searching...
No Matches
volk_kernel_defs.kernel_class Class Reference

Represent a processing kernel, parse from file. More...

Inherits object.

## Public Member Functions

| __init__ (self, kernel_file)
| get_impls (self, archs)
| __repr__ (self)

## Data Fields

| name = os.path.splitext(os.path.basename(kernel_file))[0]
| pname = self.name.replace('volk_', 'p_')
bool | has_dispatcher = False
| args = self._impls[0].args
str | arglist_types = ', '.join([a[0] for a in self.args])
str | arglist_full = ', '.join(['%s %s'%a for a in self.args])
str | arglist_names = ', '.join([a[1] for a in self.args])

## Protected Attributes

| _impls = list()

## Detailed Description

Represent a processing kernel, parse from file.

## Constructor & Destructor Documentation

## __init__()

volk_kernel_defs.kernel_class.__init__ | ( |  | self,
|  |  | kernel_file )

## Member Function Documentation

## __repr__()

volk_kernel_defs.kernel_class.__repr__ | ( |  | self | ) |

## get_impls()

volk_kernel_defs.kernel_class.get_impls | ( |  | self,
|  |  | archs )

## Field Documentation

## _impls

volk_kernel_defs.kernel_class._impls = list()

protected

## arglist_full

str volk_kernel_defs.kernel_class.arglist_full = ', '.join(['%s %s'%a for a in self.args])

## arglist_names

str volk_kernel_defs.kernel_class.arglist_names = ', '.join([a[1] for a in self.args])

## arglist_types

str volk_kernel_defs.kernel_class.arglist_types = ', '.join([a[0] for a in self.args])

## args

volk_kernel_defs.kernel_class.args = self._impls[0].args

## has_dispatcher

bool volk_kernel_defs.kernel_class.has_dispatcher = False

## name

volk_kernel_defs.kernel_class.name = os.path.splitext(os.path.basename(kernel_file))[0]

## pname

volk_kernel_defs.kernel_class.pname = self.name.replace('volk_', 'p_')